aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
authorFlorian La Roche <laroche@redhat.com>2002-07-10 08:26:06 +0000
committerFlorian La Roche <laroche@redhat.com>2002-07-10 08:26:06 +0000
commit95ef94bed21f6812e2d879d354604c46b51b4016 (patch)
tree1fb0f7cefeeea2af930ddba518e4991be5139b0a /rc.d
parent9e3fb5cae87f8d800c065d536d9ba4c8cdcce6c3 (diff)
downloadinitscripts-95ef94bed21f6812e2d879d354604c46b51b4016.tar
initscripts-95ef94bed21f6812e2d879d354604c46b51b4016.tar.gz
initscripts-95ef94bed21f6812e2d879d354604c46b51b4016.tar.bz2
initscripts-95ef94bed21f6812e2d879d354604c46b51b4016.tar.xz
initscripts-95ef94bed21f6812e2d879d354604c46b51b4016.zip
* Tue Jul 09 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- allow an option for ups poweroff #68123 - change grep for ONBOOT= #63903 - allow building with a cross-compiler #64362,#64255 - faster check in network-functions:check_default_route()
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/halt2
-rwxr-xr-xrc.d/init.d/network4
2 files changed, 3 insertions, 3 deletions
diff --git a/rc.d/init.d/halt b/rc.d/init.d/halt
index 38766534..a9732185 100755
--- a/rc.d/init.d/halt
+++ b/rc.d/init.d/halt
@@ -189,7 +189,7 @@ fi
if [ "$command" = /sbin/halt -a -r /etc/ups/upsmon.conf -a -f /etc/killpower -a -f /etc/sysconfig/ups ] ; then
. /etc/sysconfig/ups
- [ "$SERVER" = "yes" -a "$MODEL" != "NONE" -a -n "$MODEL" -a -n "$DEVICE" ] && $MODEL $OPTIONS -k $DEVICE
+ [ "$SERVER" = "yes" -a "$MODEL" != "NONE" -a -n "$MODEL" -a -n "$DEVICE" ] && $MODEL $OPTIONS_HALT -k $DEVICE
fi
if [ -x /sbin/halt.local ]; then
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 0a293c66..364b5567 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -93,7 +93,7 @@ case "$1" in
cipeinterfaces="$cipeinterfaces $DEVICE"
continue
fi
- if LANG=C egrep -L "^ONBOOT=\"?[Nn][Oo]\"?" ifcfg-$i > /dev/null ; then
+ if LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i > /dev/null ; then
# this loads the module, to preserve ordering
is_available $i
continue
@@ -120,7 +120,7 @@ case "$1" in
# Bring up CIPE VPN interfaces
for i in $cipeinterfaces ; do
- if ! LANG=C egrep -L "^ONBOOT=\"?[Nn][Oo]\"?" ifcfg-$i >/dev/null 2>&1 ; then
+ if ! LANG=C egrep -L "^ONBOOT=['\"]?[Nn][Oo]['\"]?" ifcfg-$i >/dev/null 2>&1 ; then
# If we're in confirmation mode, get user confirmation
[ -n "$CONFIRM" ] &&
{